Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QKeySequence.SequenceMatch

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QKeySequence.SequenceMatch

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QKeySequence

    public static final class QKeySequence.SequenceMatch

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QKeySequence.SequenceMatch` | `ExactMatch` The key sequences are the same.
`static QKeySequence.SequenceMatch` | `NoMatch` The key sequences are different; not even partially matching.
`static QKeySequence.SequenceMatch` | `PartialMatch` The key sequences match partially, but are not the same.

Method Summary
`static QKeySequence.SequenceMatch` | `resolve(int value)` Returns the SequenceMatch constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QKeySequence.SequenceMatch` | `valueOf(java.lang.String name)`
`static QKeySequence.SequenceMatch[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoMatch

    public static final QKeySequence.SequenceMatch NoMatch

  The key sequences are different; not even partially matching.

### PartialMatch

    public static final QKeySequence.SequenceMatch PartialMatch

  The key sequences match partially, but are not the same.

### ExactMatch

    public static final QKeySequence.SequenceMatch ExactMatch

  The key sequences are the same.

Method Detail

### values

    public static QKeySequence.SequenceMatch[] values()

### valueOf

    public static QKeySequence.SequenceMatch valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QKeySequence.SequenceMatch resolve(int value)

  Returns the SequenceMatch constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD